Get a team details
curl --request GET \
--url https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id} \
--header 'api_access_token: <api-key>'import requests
url = "https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api_access_token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id}")
.header("api_access_token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"description": "<string>",
"allow_auto_assign": true,
"account_id": 123,
"is_member": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Get a team details
Get the details of a team in the account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
teams
/
{team_id}
Get a team details
curl --request GET \
--url https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id} \
--header 'api_access_token: <api-key>'import requests
url = "https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api_access_token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api_access_token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id}")
.header("api_access_token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.omnivibe.com.br/api/v1/accounts/{account_id}/teams/{team_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api_access_token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"description": "<string>",
"allow_auto_assign": true,
"account_id": 123,
"is_member": true
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
Path Parameters
The numeric ID of the account
The ID of the team to be updated
Response
Success
The ID of the team
The name of the team
The description about the team
If this setting is turned on, the system would automatically assign the conversation to an agent in the team while assigning the conversation to a team
The ID of the account with the team is a part of
This field shows whether the current user is a part of the team
Was this page helpful?
⌘I